/*

Test Vertex Shader

*/

bind modelViewProjectionMatrix to mvp
bind normalMatrix to "normal"
bind position to "position"
bind normal to "normal"
bind texCoord to "texCoord"

attribute vec4 position;
attribute vec3 normal;
attribute vec2 texCoord;

varying lowp vec4 colorVarying;
varying vec2 v_texCoord;

uniform mat4 modelViewProjectionMatrix;
uniform mat3 normalMatrix;

void main()
{
	vec3 eyeNormal = normalize(normalMatrix * normal);
	vec3 lightPosition = vec3(0.0, 0.0, 1.0);
	vec4 diffuseColor = vec4(0.4, 0.4, 1.0, 1.0);

	float nDotVP = max(0.0, dot(eyeNormal, normalize(lightPosition)));
	colorVarying = diffuseColor * nDotVP;
	gl_Position = modelViewProjectionMatrix * position;
	v_texCoord = texCoord;
}